package com.fzm.mall.server.front.asset.service;

import com.fzm.mall.server.front.asset.model.TranOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.asset.model.TranPay;
import com.fzm.mall.server.front.asset.model.po.CreateTranOrderPo;
import com.fzm.mall.server.front.goods.model.vo.PageVoWithOne;

import java.util.List;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fzm
 * @since 2021-09-07
 */
public interface ITranOrderService extends IService<TranOrder> {

    TranPay createOrder(String uid, Integer id, CreateTranOrderPo createTranOrderPo);

    TranOrder getByOid(String oid);

    List<TranOrder> getByUid(String uid, String status, String seller, String skuId);

    List<TranOrder> getListAll(String uid, PageVoWithOne pageVoWithOne);

    List<TranOrder> getListOut(String uid, PageVoWithOne pageVoWithOne);

    List<TranOrder> getListIn(String uid, PageVoWithOne pageVoWithOne);

    int getAll(String uid);

    int getOut(String uid);

    int getIn(String uid);
}
